### Enumeration

# AppStream ComponentScope

since: 1.0

#### Declaration

    enum AppStream.ComponentScope

#### Description [src]

Scope of the `AsComponent` (system-wide or user-scope)

Available since: 1.0

#### Members

`AS_COMPONENT_SCOPE_UNKNOWN`

  Unknown scope.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_COMPONENT_SCOPE_SYSTEM`

  System scope.

  - Value: `1`
  - Nickname: `system`
  - Available since: 1.0
`AS_COMPONENT_SCOPE_USER`

  User scope.

  - Value: `2`
  - Nickname: `user`
  - Available since: 1.0

#### Type functions

###### as_component_scope_from_string

Converts the text representation to an enumerated value.

since: 1.0

###### as_component_scope_to_string

Converts the enumerated value to an text representation.

since: 1.0